## libextutils-xsbuilder-perl 0.28

=== debian/changelog ===
libextutils-xsbuilder-perl (0.28-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Apply multi-arch hints. + libextutils-xsbuilder-perl: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 19 Nov 2022 18:37:42 +0000

libextutils-xsbuilder-perl (0.28-4) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Remove Jonathan Yu from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Use versioned copyright format URI.
  * Update copyright file header to use current field names (Name =>
    Upstream-Name, Maintainer => Upstream-Contact)
  * Bump debhelper from deprecated 7 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Replace spaces in short license names with dashes.
  * Refer to specific version of license GPL-1+.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 13 Jun 2022 21:57:29 +0100

libextutils-xsbuilder-perl (0.28-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 13 Jun 2022 17:27:32 +0200

libextutils-xsbuilder-perl (0.28-3) unstable; urgency=low

  * Team upload.

  [ Ansgar Burchardt ]
  * Update my email address.
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Niko Tyni ]
  * Add patches to make generated XS code reproducible. (Closes: #802078)
  * Make the package autopkgtestable.

 -- Niko Tyni <ntyni@debian.org>  Sat, 17 Oct 2015 16:30:53 +0300

libextutils-xsbuilder-perl (0.28-2) unstable; urgency=low

  [ Jonathan Yu ]
  * Bringing this package under the pkg-perl group (Closes: #543610)
  * Updated d/watch with CPAN search site
  * Standards-Version 3.8.3
    + Remove version dependency on perl
    + Add Vcs-* and Homepage fields

  [ Ryan Niebur ]
  * Update jawnsy's email address

  [ gregor herrmann ]
  * debian/control: Added: ${misc:Depends} to Depends: field.

  [ Ansgar Burchardt ]
  * Refresh rules for debhelper 7.
  * Convert debian/copyright to proposed machine-readable format.
  * debian/rules: Make build-dep on perl unversioned and move it to B-D-Indep.
  * Bump Standards-Version to 3.8.4.
  * Correct spelling error pointed out by lintian.
    + new patch: spelling.patch
  * Remove files in debian/rules instead of patching Makefile.PL.
  * Move upstream changes to a patch.
    + new patch: use-C-type.patch
  * Add myself to Uploaders.

 -- Ansgar Burchardt <ansgar@43-1.org>  Mon, 08 Feb 2010 00:09:09 +0900

libextutils-xsbuilder-perl (0.28-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version.
  * Bump debhelper compat version to 5.
  * Stop ignoring 'make realclean' errors (lintian).
  * Don't try to manpagealise PODTemplate.pm.

 -- Angus Lees <gus@debian.org>  Thu, 10 Jan 2008 12:56:40 +0000

libextutils-xsbuilder-perl (0.27-1) unstable; urgency=low

  * New upstream version.
  * Change to section "perl".
  * Bump standards version.

 -- Angus Lees <gus@debian.org>  Sat,  9 Oct 2004 15:18:53 +1000

libextutils-xsbuilder-perl (0.23-1) unstable; urgency=low

  * New upstream version.
  * Add extra parentheses to T_MAGICHASH_SV INPUT code to stop
    "assignment used as truth value" compiler warning.
  * Patch WrapXS::get_function to use C type instead of mapped perl type for
    return declarations.
  * Add null_type case for (U_)CHAR type.
  * Explicitly cast return type from epxs_sv2_*REF conversions to quiet
    compiler warning during (eg) CV* to SV* mangling.

 -- Angus Lees <gus@debian.org>  Mon, 10 Mar 2003 22:47:03 +1100

libextutils-xsbuilder-perl (0.22-2) unstable; urgency=low

  * Patch XSBuilder/WrapXS.pm to better cope with write_makefilepl('').

 -- Angus Lees <gus@debian.org>  Tue, 10 Dec 2002 11:28:07 +1100

libextutils-xsbuilder-perl (0.22-1) unstable; urgency=low

  * Initial Release.

 -- Angus Lees <gus@debian.org>  Sun,  8 Dec 2002 14:31:49 +1100
