=== debian/watch ===
version=4
https://metacpan.org/release/ExtUtils-XSBuilder   .*/ExtUtils-XSBuilder-v?@ANY_VERSION@@ARCHIVE_EXT@$
